%define faf_version 0.12.284.gea31

%if 0%{?fedora:%{fedora} < 14}%{?rhel:%{rhel} < 7}
    %bcond_with systemd
%else
    %bcond_without systemd
%endif

Name: faf
Version: %{faf_version}
Release: 1%{?dist}
Summary: Software Problem Analysis Tool
Group: Development/Libraries
License: GPLv3+
URL: https://github.com/abrt/faf/
Source0: https://fedorahosted.org/released/faf/faf-%{faf_version}.tar.xz

BuildArch: noarch

%if 0%{?rhel:%{rhel} < 7}
%define sqlalchemy python-sqlalchemy0.8
%define python_argparse python-argparse
%else
%define sqlalchemy python-sqlalchemy >= 0.8
%define python_argparse python
%endif

Requires(pre): shadow-utils

Requires: pg-semver
Requires: postgresql
Requires: postgresql-server
Requires: %{python_argparse}
Requires: python-setuptools
Requires: python-psycopg2 >= 2.5
Requires: %{sqlalchemy}
Requires: rpm-python

BuildRequires: autoconf
BuildRequires: intltool
BuildRequires: libtool

# requirements for tests
BuildRequires: createrepo
BuildRequires: %{python_argparse}
BuildRequires: packagedb-cli
BuildRequires: pg-semver
BuildRequires: postgresql
BuildRequires: postgresql-server
BuildRequires: python-setuptools
BuildRequires: python-unittest2
BuildRequires: python-bugzilla
BuildRequires: python-psycopg2 >= 2.5
BuildRequires: python-testing.postgresql
BuildRequires: rpm-python
BuildRequires: %{sqlalchemy}
BuildRequires: yum
BuildRequires: satyr-python >= 0.16
# webui2
BuildRequires: python-flask >= 0.10
BuildRequires: python-flask-wtf
BuildRequires: python-flask-openid
BuildRequires: python-openid-teams
BuildRequires: python-flask-rstpages
BuildRequires: python-flask-sqlalchemy
BuildRequires: python-jinja2 >= 2.7
BuildRequires: python-bunch

%description
faf is a programmable tool for analysis of packages, packaging
issues, bug reports and other artifacts produced during software
development.

%package -n abrt-server
Summary: Tools for manipulating ABRT Server instance
Requires: yum-utils
# Intentionally not requiring faf(-*) here

%description -n abrt-server
A set of tools for installing and manipulating ABRT Server instance

%package webui2
Summary: %{name}'s WebUI rewrite
Requires: %{name} = %{faf_version}
Requires: httpd
Requires: mod_wsgi
Requires: python-flask >= 0.10
Requires: python-flask-wtf
Requires: python-flask-rstpages
Requires: python-flask-sqlalchemy
Requires: python-flask-openid
Requires: python-openid-teams
Requires: python-jinja2 >= 2.7
Requires: python-bunch

%description webui2
A WebUI rewrite

%package problem-coredump
Summary: %{name}'s coredump plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-coredump
A plugin for %{name} handling user-space binary crashes.

%package problem-java
Summary: %{name}'s java plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-java
A plugin for %{name} handling java problems.

%package problem-kerneloops
Summary: %{name}'s kerneloops plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-kerneloops
A plugin for %{name} handling kernel oopses.

%package problem-python
Summary: %{name}'s python plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-python
A plugin for %{name} handling python scripts problems.

%package problem-ruby
Summary: %{name}'s ruby plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.16

%description problem-ruby
A plugin for %{name} handling ruby scripts problems.

%package yum
Summary: %{name}'s yum plugin
Requires: %{name} = %{faf_version}
Requires: yum
Requires: yum-utils

%description yum
A plugin for %{name} implementing unified access to yum repositories.

%package opsys-centos
Summary: %{name}'s CentOS operating system plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-yum = %{faf_version}

%description opsys-centos
A plugin for %{name} implementing support for CentOS operating system.

%package opsys-fedora
Summary: %{name}'s Fedora operating system plugin
Requires: %{name} = %{faf_version}
Requires: packagedb-cli
Requires: koji

%description opsys-fedora
A plugin for %{name} implementing support for Fedora operating system.

%package opsys-rhel
Summary: %{name}'s Red Hat Enterprise Linux operating system plugin
Requires: %{name} = %{faf_version}

%description opsys-rhel
A plugin for %{name} implementing support
for Red Hat Enterprise Linux operating system.

%package action-save-reports
Summary: %{name}'s save-reports plugin
Requires: %{name} = %{faf_version}

%description action-save-reports
A plugin for %{name} implementing save-reports action

%package action-archive-reports
Summary: %{name}'s archive-reports plugin
Requires: %{name} = %{faf_version}
Requires: tar
Requires: xz

%description action-archive-reports
A plugin for %{name} implementing archive-reports action

%package action-create-problems
Summary: %{name}'s create-problems plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description action-create-problems
A plugin for %{name} implementing create-problems action

%package action-shell
Summary: %{name}'s shell plugin
Requires: %{name} = %{faf_version}
Requires: python-ipython-console

%description action-shell
A plugin for %{name} allowing to run IPython shell

%package action-pull-releases
Summary: %{name}'s pull-releases plugin
Requires: %{name} = %{faf_version}

%description action-pull-releases
A plugin for %{name} implementing pull-releases action

%package action-pull-reports
Summary: %{name}'s pull-reports plugin
Requires: %{name} = %{faf_version}

%description action-pull-reports
A plugin for %{name} implementing pull-reports action

%package action-pull-components
Summary: %{name}'s pull-components plugin
Requires: %{name} = %{faf_version}

%description action-pull-components
A plugin for %{name} implementing pull-components action

%package action-pull-associates
Summary: %{name}'s pull-associates plugin
Requires: %{name} = %{faf_version}

%description action-pull-associates
A plugin for %{name} implementing pull-associates action

%package action-find-components
Summary: %{name}'s find-components plugin
Requires: %{name} = %{faf_version}

%description action-find-components
A plugin for %{name} implementing find-components action

%package action-find-crash-function
Summary: %{name}'s find-crash-function plugin
Requires: %{name} = %{faf_version}

%description action-find-crash-function
A plugin for %{name} implementing find-crash-function action

%package action-repo
Summary: %{name}'s repo plugin
Requires: %{name} = %{faf_version}

%description action-repo
A plugin for %{name} implementing repoadd, repolist and reposync actions

%package action-retrace
Summary: %{name}'s retrace plugin
Requires: %{name} = %{faf_version}
Requires: binutils
Requires: elfutils >= 0.155

%description action-retrace
A plugin for %{name} implementing retrace action

%package action-arch
Summary: %{name}'s arch plugin
Requires: %{name} = %{faf_version}

%description action-arch
A plugin for %{name} implementing archadd action

%package action-sf-prefilter
Summary: %{name}'s action-sf-prefilter plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-solutionfinder-prefilter
Obsoletes: %{name}-action-kb < 0.12
Provides: %{name}-action-kb = 0.12

%description action-sf-prefilter
A plugin for %{name} implementing Solution finder Prefilter actions

%package action-c2p
Summary: %{name}'s coredump to packages plugin
Requires: %{name} = %{faf_version}

%description action-c2p
A plugin for %{name} implementing c2p (coredump to packages) action

%package action-bugtracker
Summary: %{name}'s plugins for bugtracker administration
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-bugzilla = %{faf_version}

%description action-bugtracker
A plugin for bugtracker management

%package action-external-faf
Summary: %{name}'s external-faf plugin
Requires: %{name} = %{faf_version}

%description action-external-faf
A plugin for %{name} implementing extfaf* actions

%package action-external-faf-clone-bz
Summary: %{name}'s external-faf-clone-bz plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-action-external-faf = %{faf_version}

%description action-external-faf-clone-bz
A plugin for %{name} implementing extfafclonebz action

%package action-add-compat-hashes
Summary: %{name}'s add-compat-hashes plugin
Requires: %{name} = %{faf_version}

%description action-add-compat-hashes
A plugin for %{name} implementing addcompathashes action

%package action-mark-probably-fixed
Summary: %{name}'s mark-probably-fixed plugin
Requires: %{name} = %{faf_version}

%description action-mark-probably-fixed
A plugin for %{name} implementing mark-probably-fixed action

%package action-stats
Summary: %{name}'s stats plugin
Requires: %{name} = %{faf_version}

%description action-stats
A plugin for %{name} implementing statistics generation

%package action-retrace-remote
Summary: %{name}'s retrace-remote plugin
Requires: %{name} = %{faf_version}
Requires: python-requests

%description action-retrace-remote
A plugin for %{name} implementing remote retracing

%package action-attach-centos-bugs
Summary: %{name}'s attach-centos-bugs plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-centos-mantis = %{faf_version}

%description action-attach-centos-bugs
A plugin for %{name} implementing attaching of bugs from CentOS Mantis bugtracker

%package action-fedmsg-notify
Summary: %{name}'s fedmsg-notify plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-fedmsg = %{faf_version}

%description action-fedmsg-notify
A plugin for %{name} implementing notification into Fedmsg

%package action-cleanup-task-results
Summary: %{name}'s cleanup-task-results plugin
Requires: %{name} = %{faf_version}

%description action-cleanup-task-results
A plugin for %{name} implementing cleanup of old task results.

%package bugtracker-bugzilla
Summary: %{name}'s bugzilla support
Requires: %{name} = %{faf_version}
Requires: python-bugzilla

%description bugtracker-bugzilla
A plugin adding bugzilla support to %{name}

%package bugtracker-fedora-bugzilla
Summary: %{name}'s bugzilla support for Fedora
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-bugzilla = %{faf_version}

%description bugtracker-fedora-bugzilla
A plugin adding support for bugzilla used by Fedora

%package bugtracker-rhel-bugzilla
Summary: %{name}'s bugzilla support for RHEL
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-bugzilla = %{faf_version}

%description bugtracker-rhel-bugzilla
A plugin adding support for bugzilla used by Red Hat Enterprise Linux

%package solutionfinder-prefilter
Summary: %{name}'s solution-finder-prefilter plugin
Requires: %{name} = %{faf_version}

%description solutionfinder-prefilter
A plugin for %{name} implementing the Prefilter solution finder

%package solutionfinder-probable-fix
Summary: %{name}'s solution-finder-probable-fix plugin
Requires: %{name} = %{faf_version}

%description solutionfinder-probable-fix
A plugin for %{name} implementing the Probale Fix solution finder

%package blueprint-symbol-transfer
Summary: %{name}'s symbol transfer blueprint
Requires: faf = %{faf_version}
Requires: %{name} = %{faf_version}
Requires: %{name}-webui2 = %{faf_version}

%description blueprint-symbol-transfer
A plugin for %{name} implementing symbol transfer plugin.

%package blueprint-celery-tasks
Summary: %{name}'s Celery tasks blueprint
Requires: faf = %{faf_version}
Requires: %{name} = %{faf_version}
Requires: %{name}-webui2 = %{faf_version}
Requires: %{name}-celery-tasks = %{faf_version}
Requires: python-bunch

%description blueprint-celery-tasks
A plugin for %{name} implementing Celery tasks blueprint plugin.

%package migrations
Summary: %{name}'s database migrations
Requires: %{name} = %{faf_version}
Requires: python-alembic >= 0.5

%description migrations
Database migrations using alembic

%package bugtracker-mantis
Summary: %{name}'s mantis support
Requires: %{name} = %{faf_version}
Requires: python-suds

%description bugtracker-mantis
A plugin adding mantis support to %{name}

%package bugtracker-centos-mantis
Summary: %{name}'s Mantis support for CentOS
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-mantis = %{faf_version}

%description bugtracker-centos-mantis
A plugin adding support for Mantis used by CentOS

%package fedmsg
Summary: %{name}'s Fedmsg support
Requires: %{name} = %{faf_version}
Requires: fedmsg

%description fedmsg
Base for Fedmsg support.

%package fedmsg-realtime
Summary: %{name}'s support for realtime Fedmsg notification sending
Requires: %{name} = %{faf_version}
Requires: %{name}-fedmsg = %{faf_version}

%description fedmsg-realtime
Support for sending Fedmsg notifications as reports are saved.

%package celery-tasks
Summary: %{name}'s task queue based on Celery
Requires: %{name} = %{faf_version}
Requires: python-celery >= 3.1

%description celery-tasks
Task queue using Celery.

%if %{with systemd}
%package celery-tasks-systemd-services
Summary: %{name}'s Celery task queue systemd services
Requires: %{name} = %{faf_version}
Requires: systemd-units

%description celery-tasks-systemd-services
systemd services for the Celery task queue.

%post celery-tasks-systemd-services
%systemd_post faf-celery-beat.service
%systemd_post faf-celery-worker.service

%preun celery-tasks-systemd-services
%systemd_preun faf-celery-beat.service
%systemd_preun faf-celery-worker.service

%postun celery-tasks-systemd-services
%systemd_postun_with_restart faf-celery-beat.service
%systemd_postun_with_restart faf-celery-worker.service
%endif

%prep
%setup -q
./autogen.sh

%build
%if %{with systemd}
%configure
%else
%configure --without-systemd
%endif
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# embedded action names
ln -s %{_bindir}/faf %{buildroot}%{_bindir}/faf-c2p

# /etc
mkdir -p %{buildroot}%{_sysconfdir}/faf
mkdir -p %{buildroot}%{_sysconfdir}/faf/plugins
mkdir -p %{buildroot}%{_sysconfdir}/faf/templates

# /usr/share
mkdir -p %{buildroot}%{_datadir}/faf/web/media
mkdir -p %{buildroot}%{_datadir}/faf/web/static

# /var/spool
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/lob
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/incoming
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/deferred
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/saved
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/archive
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/incoming
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/deferred
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/saved
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/archive
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/dumpdirs
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/openid_store

# /var/log
mkdir -p %{buildroot}%{_localstatedir}/log/faf/

%if %{with systemd}
mkdir -p %{buildroot}%{_tmpfilesdir}
mkdir -p %{buildroot}/run/faf-celery
%endif

%check
make check || ( cat tests/test-suite.log ; cat tests/webfaf/test-suite.log ; exit 1 ) 

%pre
# http://fedoraproject.org/wiki/Packaging:UsersAndGroups
getent group faf >/dev/null || groupadd --system faf
getent passwd faf >/dev/null || useradd --system -g faf -d /etc/faf -s /sbin/nologin faf
exit 0

%post webui2
if [ "$1" = 1 ]
then
    # alphanumeric string of 50 characters
    RANDOM_STR="$( cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 50 | head -n 1 )"
    sed -i "s#@SECRET_KEY@#$RANDOM_STR#g" %{_sysconfdir}/faf/plugins/web2.conf
fi

%files
# /etc
%dir %{_sysconfdir}/faf
%dir %{_sysconfdir}/faf/plugins
%dir %{_sysconfdir}/faf/templates
%config(noreplace) %{_sysconfdir}/faf/faf.conf

# /var/spool
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/lob
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/incoming
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/saved
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/deferred
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/archive
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/incoming
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/deferred
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/saved
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/archive

# /var/log
%dir %attr(0775, faf, faf) %{_localstatedir}/log/faf

# /usr/bin
%{_bindir}/faf

# /usr/lib/python*/pyfaf
%dir %{python_sitelib}/pyfaf
%{python_sitelib}/pyfaf/__init__.py*
%{python_sitelib}/pyfaf/checker.py*
%{python_sitelib}/pyfaf/cmdline.py*
%{python_sitelib}/pyfaf/common.py*
%{python_sitelib}/pyfaf/config.py*
%{python_sitelib}/pyfaf/local.py*
%{python_sitelib}/pyfaf/retrace.py*
%{python_sitelib}/pyfaf/rpm.py*
%{python_sitelib}/pyfaf/queries.py*
%{python_sitelib}/pyfaf/ureport.py*
%{python_sitelib}/pyfaf/ureport_compat.py*

%dir %{python_sitelib}/pyfaf/actions
%{python_sitelib}/pyfaf/actions/__init__.py*
%{python_sitelib}/pyfaf/actions/init.py*
%{python_sitelib}/pyfaf/actions/componentadd.py*
%{python_sitelib}/pyfaf/actions/opsysadd.py*
%{python_sitelib}/pyfaf/actions/opsysdel.py*
%{python_sitelib}/pyfaf/actions/opsyslist.py*
%{python_sitelib}/pyfaf/actions/releaseadd.py*
%{python_sitelib}/pyfaf/actions/releaselist.py*
%{python_sitelib}/pyfaf/actions/releasemod.py*
%{python_sitelib}/pyfaf/actions/match_unknown_packages.py*


%dir %{python_sitelib}/pyfaf/bugtrackers
%{python_sitelib}/pyfaf/bugtrackers/__init__.py*

%dir %{python_sitelib}/pyfaf/opsys
%{python_sitelib}/pyfaf/opsys/__init__.py*

%dir %{python_sitelib}/pyfaf/problemtypes
%{python_sitelib}/pyfaf/problemtypes/__init__.py*

%dir %{python_sitelib}/pyfaf/repos
%{python_sitelib}/pyfaf/repos/__init__.py*

%dir %{python_sitelib}/pyfaf/solutionfinders
%{python_sitelib}/pyfaf/solutionfinders/__init__.py*

%dir %{python_sitelib}/pyfaf/storage
%{python_sitelib}/pyfaf/storage/__init__.py*
%{python_sitelib}/pyfaf/storage/bugzilla.py*
%{python_sitelib}/pyfaf/storage/bugtracker.py*
%{python_sitelib}/pyfaf/storage/custom_types.py*
%{python_sitelib}/pyfaf/storage/debug.py*
%{python_sitelib}/pyfaf/storage/externalfaf.py*
%{python_sitelib}/pyfaf/storage/events.py*
%{python_sitelib}/pyfaf/storage/sf_prefilter.py*
%{python_sitelib}/pyfaf/storage/llvm.py*
%{python_sitelib}/pyfaf/storage/opsys.py*
%{python_sitelib}/pyfaf/storage/mantisbt.py*
%{python_sitelib}/pyfaf/storage/problem.py*
%{python_sitelib}/pyfaf/storage/project.py*
%{python_sitelib}/pyfaf/storage/report.py*
%{python_sitelib}/pyfaf/storage/symbol.py*
%{python_sitelib}/pyfaf/storage/user.py*
%{python_sitelib}/pyfaf/storage/jsontype.py*
%{python_sitelib}/pyfaf/storage/task.py*

%dir %{python_sitelib}/pyfaf/storage/fixtures
%{python_sitelib}/pyfaf/storage/fixtures/__init__.py*
%{python_sitelib}/pyfaf/storage/fixtures/data.py*
%{python_sitelib}/pyfaf/storage/fixtures/randutils.py*

%dir %{python_sitelib}/pyfaf/utils
%{python_sitelib}/pyfaf/utils/__init__.py*
%{python_sitelib}/pyfaf/utils/contextmanager.py*
%{python_sitelib}/pyfaf/utils/date.py*
%{python_sitelib}/pyfaf/utils/decorators.py*
%{python_sitelib}/pyfaf/utils/format.py*
%{python_sitelib}/pyfaf/utils/parse.py*
%{python_sitelib}/pyfaf/utils/proc.py*
%{python_sitelib}/pyfaf/utils/storage.py*
%{python_sitelib}/pyfaf/utils/web.py*

# /usr/share/faf
%dir %{_datadir}/faf
%{_datadir}/faf/fixtures/lob_download_location

%dir %{_datadir}/faf/fixtures/sql
%{_datadir}/faf/fixtures/sql/archs.sql
%{_datadir}/faf/fixtures/sql/archstags.sql
%{_datadir}/faf/fixtures/sql/buildarchs.sql
%{_datadir}/faf/fixtures/sql/builds.sql
%{_datadir}/faf/fixtures/sql/buildstags.sql
%{_datadir}/faf/fixtures/sql/buildsys.sql
%{_datadir}/faf/fixtures/sql/opsys.sql
%{_datadir}/faf/fixtures/sql/opsyscomponents.sql
%{_datadir}/faf/fixtures/sql/opsysreleases.sql
%{_datadir}/faf/fixtures/sql/opsysreleasescomponents.sql
%{_datadir}/faf/fixtures/sql/packages.sql
%{_datadir}/faf/fixtures/sql/taginheritances.sql
%{_datadir}/faf/fixtures/sql/tags.sql

%files -n abrt-server
%{_bindir}/abrt-server-install

%files webui2
# /etc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/faf-web2.conf
%config(noreplace) %{_sysconfdir}/faf/plugins/web2.conf

# /usr/lib/python*/pyfaf
%dir %{python_sitelib}/webfaf2
%{python_sitelib}/webfaf2/__init__.py*
%{python_sitelib}/webfaf2/config.py*
%{python_sitelib}/webfaf2/dumpdirs.py*
%{python_sitelib}/webfaf2/filters.py*
%{python_sitelib}/webfaf2/forms.py*
%{python_sitelib}/webfaf2/hub.wsgi
%{python_sitelib}/webfaf2/login.py*
%{python_sitelib}/webfaf2/problems.py*
%{python_sitelib}/webfaf2/reports.py*
%{python_sitelib}/webfaf2/stats.py*
%{python_sitelib}/webfaf2/summary.py*
%{python_sitelib}/webfaf2/utils.py*
%{python_sitelib}/webfaf2/webfaf2_main.py*

%dir %{python_sitelib}/webfaf2/blueprints
%{python_sitelib}/webfaf2/blueprints/__init__.py*

%dir %{python_sitelib}/webfaf2/templates
%{python_sitelib}/webfaf2/templates/_helpers.html
%{python_sitelib}/webfaf2/templates/403.html
%{python_sitelib}/webfaf2/templates/404.html
%{python_sitelib}/webfaf2/templates/413.html
%{python_sitelib}/webfaf2/templates/500.html
%{python_sitelib}/webfaf2/templates/about.rst
%{python_sitelib}/webfaf2/templates/base.html
%{python_sitelib}/webfaf2/templates/rstpage.html

%dir %{python_sitelib}/webfaf2/templates/dumpdirs
%{python_sitelib}/webfaf2/templates/dumpdirs/list.html
%{python_sitelib}/webfaf2/templates/dumpdirs/new.html

%dir %{python_sitelib}/webfaf2/templates/problems
%{python_sitelib}/webfaf2/templates/problems/item.html
%{python_sitelib}/webfaf2/templates/problems/list.html
%{python_sitelib}/webfaf2/templates/problems/list_table_rows.html
%{python_sitelib}/webfaf2/templates/problems/multiple_bthashes.html
%{python_sitelib}/webfaf2/templates/problems/waitforit.html

%dir %{python_sitelib}/webfaf2/templates/reports
%{python_sitelib}/webfaf2/templates/reports/associate_bug.html
%{python_sitelib}/webfaf2/templates/reports/attach.html
%{python_sitelib}/webfaf2/templates/reports/diff.html
%{python_sitelib}/webfaf2/templates/reports/item.html
%{python_sitelib}/webfaf2/templates/reports/list.html
%{python_sitelib}/webfaf2/templates/reports/list_table_rows.html
%{python_sitelib}/webfaf2/templates/reports/new.html
%{python_sitelib}/webfaf2/templates/reports/waitforit.html

%dir %{python_sitelib}/webfaf2/templates/stats
%{python_sitelib}/webfaf2/templates/stats/by_date.html

%dir %{python_sitelib}/webfaf2/templates/summary
%{python_sitelib}/webfaf2/templates/summary/index.html
%{python_sitelib}/webfaf2/templates/summary/index_plot_data.html

# /usr/share/faf/
%dir %{_datadir}/faf/web2
%dir %{_datadir}/faf/web2/static
%dir %{_datadir}/faf/web2/static/js
%dir %{_datadir}/faf/web2/static/css
%{_datadir}/faf/web2/static/js/*.js
%{_datadir}/faf/web2/static/fonts/*.otf
%{_datadir}/faf/web2/static/fonts/*.woff
%{_datadir}/faf/web2/static/fonts/*.eot
%{_datadir}/faf/web2/static/fonts/*.svg
%{_datadir}/faf/web2/static/fonts/*.ttf
%{_datadir}/faf/web2/static/css/*.css

# /var/spool/faf
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/dumpdirs
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/openid_store

%files problem-coredump
%config(noreplace) %{_sysconfdir}/faf/plugins/coredump.conf
%{python_sitelib}/pyfaf/problemtypes/core.py*

%files problem-java
%config(noreplace) %{_sysconfdir}/faf/plugins/java.conf
%{python_sitelib}/pyfaf/problemtypes/java.py*

%files problem-kerneloops
%config(noreplace) %{_sysconfdir}/faf/plugins/kerneloops.conf
%{python_sitelib}/pyfaf/problemtypes/kerneloops.py*

%files problem-python
%config(noreplace) %{_sysconfdir}/faf/plugins/python.conf
%{python_sitelib}/pyfaf/problemtypes/python.py*

%files problem-ruby
%config(noreplace) %{_sysconfdir}/faf/plugins/ruby.conf
%{python_sitelib}/pyfaf/problemtypes/ruby.py*

%files yum
%config(noreplace) %{_sysconfdir}/faf/plugins/yum.conf
%{python_sitelib}/pyfaf/repos/yum.py*

%files opsys-centos
%config(noreplace) %{_sysconfdir}/faf/plugins/centos.conf
%{python_sitelib}/pyfaf/opsys/centos.py*

%files opsys-fedora
%config(noreplace) %{_sysconfdir}/faf/plugins/fedora.conf
%{python_sitelib}/pyfaf/opsys/fedora.py*

%files opsys-rhel
%{python_sitelib}/pyfaf/opsys/rhel.py*

%files action-save-reports
%config(noreplace) %{_sysconfdir}/faf/plugins/save-reports.conf
%{python_sitelib}/pyfaf/actions/save_reports.py*

%files action-archive-reports
%{python_sitelib}/pyfaf/actions/archive_reports.py*

%files action-create-problems
%config(noreplace) %{_sysconfdir}/faf/plugins/create-problems.conf
%{python_sitelib}/pyfaf/actions/create_problems.py*

%files action-shell
%{python_sitelib}/pyfaf/actions/shell.py*

%files action-pull-releases
%{python_sitelib}/pyfaf/actions/pull_releases.py*

%files action-pull-reports
%config(noreplace) %{_sysconfdir}/faf/plugins/pull-reports.conf
%{python_sitelib}/pyfaf/actions/pull_reports.py*

%files action-pull-components
%{python_sitelib}/pyfaf/actions/pull_components.py*

%files action-pull-associates
%{python_sitelib}/pyfaf/actions/pull_associates.py*

%files action-find-components
%{python_sitelib}/pyfaf/actions/find_components.py*

%files action-find-crash-function
%{python_sitelib}/pyfaf/actions/find_crash_function.py*

%files action-repo
%{python_sitelib}/pyfaf/actions/repoadd.py*
%{python_sitelib}/pyfaf/actions/repoassign.py*
%{python_sitelib}/pyfaf/actions/repodel.py*
%{python_sitelib}/pyfaf/actions/repoinfo.py*
%{python_sitelib}/pyfaf/actions/repoimport.py*
%{python_sitelib}/pyfaf/actions/repolist.py*
%{python_sitelib}/pyfaf/actions/repomod.py*
%{python_sitelib}/pyfaf/actions/reposync.py*

%files action-retrace
%config(noreplace) %{_sysconfdir}/faf/plugins/retrace.conf
%{python_sitelib}/pyfaf/actions/retrace.py*

%files action-arch
%{python_sitelib}/pyfaf/actions/archadd.py*
%{python_sitelib}/pyfaf/actions/archlist.py*

%files action-sf-prefilter
%{python_sitelib}/pyfaf/actions/sf_prefilter_patadd.py*
%{python_sitelib}/pyfaf/actions/sf_prefilter_patshow.py*
%{python_sitelib}/pyfaf/actions/sf_prefilter_soladd.py*
%{python_sitelib}/pyfaf/actions/sf_prefilter_solshow.py*

%files action-c2p
%{_bindir}/faf-c2p
%{python_sitelib}/pyfaf/actions/c2p.py*

%files action-bugtracker
%{python_sitelib}/pyfaf/actions/bugtrackerlist.py*
%{python_sitelib}/pyfaf/actions/pull_abrt_bugs.py*
%{python_sitelib}/pyfaf/actions/pull_bug.py*
%{python_sitelib}/pyfaf/actions/update_bugs.py*

%files action-stats
%{python_sitelib}/pyfaf/actions/stats.py*

%files action-external-faf
%{python_sitelib}/pyfaf/actions/extfafadd.py*
%{python_sitelib}/pyfaf/actions/extfafshow.py*
%{python_sitelib}/pyfaf/actions/extfafmodify.py*
%{python_sitelib}/pyfaf/actions/extfafdelete.py*
%{python_sitelib}/pyfaf/actions/extfaflink.py*

%files action-external-faf-clone-bz
%config(noreplace) %{_sysconfdir}/faf/plugins/clonebz.conf
%{python_sitelib}/pyfaf/actions/extfafclonebz.py*

%files action-add-compat-hashes
%{python_sitelib}/pyfaf/actions/addcompathashes.py*

%files action-mark-probably-fixed
%{python_sitelib}/pyfaf/actions/mark_probably_fixed.py*

%files action-retrace-remote
%{python_sitelib}/pyfaf/actions/retrace_remote.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/retrace-remote.conf

%files action-attach-centos-bugs
%{python_sitelib}/pyfaf/actions/attach_centos_bugs.py*

%files action-fedmsg-notify
%{python_sitelib}/pyfaf/actions/fedmsg_notify.py*

%files action-cleanup-task-results
%{python_sitelib}/pyfaf/actions/cleanup_task_results.py*

%files bugtracker-bugzilla
%{python_sitelib}/pyfaf/bugtrackers/bugzilla.py*

%files bugtracker-fedora-bugzilla
%{python_sitelib}/pyfaf/bugtrackers/fedorabz.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/fedorabz.conf

%files bugtracker-rhel-bugzilla
%{python_sitelib}/pyfaf/bugtrackers/rhelbz.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/rhelbz.conf

%files solutionfinder-prefilter
%{python_sitelib}/pyfaf/solutionfinders/prefilter_solution_finder.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/sf-prefilter.conf

%files solutionfinder-probable-fix
%{python_sitelib}/pyfaf/solutionfinders/probable_fix_solution_finder.py*

%files blueprint-symbol-transfer
%config(noreplace) %{_sysconfdir}/faf/plugins/symbol-transfer.conf
%{python_sitelib}/webfaf2/blueprints/symbol_transfer.py*

%files blueprint-celery-tasks
%{python_sitelib}/webfaf2/blueprints/celery_tasks.py*
%{python_sitelib}/webfaf2/templates/celery_tasks/action_run.html
%{python_sitelib}/webfaf2/templates/celery_tasks/index.html
%{python_sitelib}/webfaf2/templates/celery_tasks/results_item.html
%{python_sitelib}/webfaf2/templates/celery_tasks/results_list.html
%{python_sitelib}/webfaf2/templates/celery_tasks/schedule_item.html

%files migrations
%{python_sitelib}/pyfaf/storage/migrations/alembic.ini
%{python_sitelib}/pyfaf/storage/migrations/__init__.py*
%{python_sitelib}/pyfaf/storage/migrations/env.py*
%{python_sitelib}/pyfaf/storage/migrations/versions/*.py*
%{_bindir}/faf-migrate-db

%files bugtracker-mantis
%{python_sitelib}/pyfaf/bugtrackers/mantisbt.py*

%files bugtracker-centos-mantis
%{python_sitelib}/pyfaf/bugtrackers/centosmantisbt.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/centosmantisbt.conf

%files fedmsg
%config(noreplace) %{_sysconfdir}/faf/plugins/fedmsg.conf

%files fedmsg-realtime
%{python_sitelib}/pyfaf/storage/events_fedmsg.py*

%files celery-tasks
%config(noreplace) %{_sysconfdir}/faf/plugins/celery_tasks.conf
%{python_sitelib}/pyfaf/celery_tasks/__init__.py*
%{python_sitelib}/pyfaf/celery_tasks/schedulers.py*

%if %{with systemd}
%files celery-tasks-systemd-services
%{_unitdir}/faf-celery-beat.service
%{_unitdir}/faf-celery-worker.service
%config(noreplace) %{_sysconfdir}/faf/celery-beat-env.conf
%config(noreplace) %{_sysconfdir}/faf/celery-worker-env.conf
%{_tmpfilesdir}/faf-celery-tmpfiles.conf
%dir /run/faf-celery/
%endif

%changelog
* Mon Apr 15 2013 Michal Toman <mtoman@redhat.com> 0.9-1
- Initial packaging
